Bug 730751 - [ipa webui] inconsistency in enabling "delete" buttons
Summary: [ipa webui] inconsistency in enabling "delete" buttons
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 748554
TreeView+ depends on / blocked
 
Reported: 2011-08-15 16:06 UTC by Namita Soman
Modified: 2015-01-04 23:50 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.3-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Editing an HBAC rule. Consequence: The delete button is enabled even if no selection is made. Clicking on the delete button does nothing. Fix: Disable the delete button when nothing is selected. Result: The delete button is only enabled when something has been selected.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:29:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-08-15 16:06:31 UTC
Description of problem:
On the HBAC Rules page, where the rules are listed, if no rule is selected, the "Delete" button is not enabled, and cannot be clicked on.
But edit a Rule, and Delete button is enabled in the available sections - regardless of, if an object is selected to be deleted or not, or even if there is no object to be selected to delete.

One can click on this button...but then - there is no message indicating that something should be selected for deletion for this button to do anything.

Version-Release number of selected component (if applicable):
ipa-server-2.0.99-9.20110811T0301zgite6d0612.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Edit an HBAC Rule
2. In the Who section, without selecting a user to delete, can click on the Delete button
  
Actual results:
Nothing happens


Expected results:
Either this should not be enabled, or a message should be popped to indicate what the user is missing (that an object should be selected for deletion)

Additional info:

Comment 2 Dmitri Pal 2011-08-15 16:14:08 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1640

Comment 3 Namita Soman 2011-08-15 17:24:48 UTC
Actually - i do get the message now - Select entries to be removed - if no objects were selected, and Delete is hit.
....which i didn't get when reporting the bug. And I didn't update my server. Will update bug - if i can recreate the steps to not getting the message.

Comment 4 Martin Kosek 2011-09-12 08:29:18 UTC
Fixed upstream:
master: 9c4b004076b0ccc09f22830aa48740f79f8ea190
ipa-2-1: 75a859dc5de196a0b6925f5a6c254472a95bf599

Comment 7 Rob Crittenden 2011-11-01 13:26:34 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Editing an HBAC rule.
Consequence: The delete button is enabled even if no selection is made. Clicking on the delete button does nothing.
Fix: Disable the delete button when nothing is selected.
Result: The delete button is only enabled when something has been selected.

Comment 8 Namita Soman 2011-11-03 15:54:45 UTC
verified using ipa-server-2.1.3-8.el6.x86_64

The delete button is only enabled when something has been selected.

Comment 9 errata-xmlrpc 2011-12-06 18:29:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.